=== modified file 'lib/lp/answers/stories/question-add.txt'
--- lib/lp/answers/stories/question-add.txt	2011-08-02 02:51:59 +0000
+++ lib/lp/answers/stories/question-add.txt	2011-08-21 14:21:06 +0000
@@ -170,7 +170,7 @@
 
     >>> print extract_text(
     ...     find_tag_by_id(user_browser.contents, 'registration'))
-    Asked by No Privileges Person on ...
+    Asked by No Privileges Person ...
     >>> contents = find_main_content(user_browser.contents)
     >>> print extract_text(contents.find('div', 'report'))
     I use Ubuntu on AMD64 ...

=== modified file 'lib/lp/answers/templates/question-index.pt'
--- lib/lp/answers/templates/question-index.pt	2011-07-29 06:58:45 +0000
+++ lib/lp/answers/templates/question-index.pt	2011-08-20 14:14:26 +0000
@@ -34,7 +34,7 @@
     <metal:registering fill-slot="registering">
         Asked by
         <a tal:replace="structure context/owner/fmt:link" />
-        on <span
+        <span
           tal:attributes="title context/datecreated/fmt:datetime"
           tal:content="context/datecreated/fmt:displaydate">2005-10-05</span>
 

=== modified file 'lib/lp/translations/model/translationsperson.py'
--- lib/lp/translations/model/translationsperson.py	2011-05-27 21:12:25 +0000
+++ lib/lp/translations/model/translationsperson.py	2011-08-20 15:57:24 +0000
@@ -291,7 +291,8 @@
         # should be fixed to use translations_usage.
         ProductJoin = LeftJoin(Product, And(
             Product.id == ProductSeries.productID,
-            Product._translations_usage == ServiceUsage.LAUNCHPAD))
+            Product._translations_usage == ServiceUsage.LAUNCHPAD,
+            Product.active == True))
 
         ProjectJoin = LeftJoin(
             ProjectGroup, ProjectGroup.id == Product.projectID)

=== modified file 'lib/lp/translations/templates/potemplate-chart.pt'
--- lib/lp/translations/templates/potemplate-chart.pt	2010-12-02 16:13:51 +0000
+++ lib/lp/translations/templates/potemplate-chart.pt	2011-08-20 16:14:28 +0000
@@ -9,9 +9,9 @@
     <tr>
       <th>Language</th>
       <th>Status</th>
-      <th class="amount">Untranslated</th>
-      <th class="amount">Need review</th>
-      <th class="amount">Changed</th>
+      <th>Untranslated</th>
+      <th>Need review</th>
+      <th>Changed</th>
       <th>Last Edited</th>
       <th>By</th>
     </tr>

=== modified file 'lib/lp/translations/tests/test_translations_to_review.py'
--- lib/lp/translations/tests/test_translations_to_review.py	2011-08-12 11:37:08 +0000
+++ lib/lp/translations/tests/test_translations_to_review.py	2011-08-20 15:57:24 +0000
@@ -173,6 +173,13 @@
         super(TestReviewableProductTranslationFiles, self).setUp()
         ReviewTestMixin.setUpMixin(self, for_product=True)
 
+    def test_getReviewableTranslationFiles_project_deactivated(self):
+        # Deactive project are excluded from the list.
+        from lp.testing import celebrity_logged_in
+        with celebrity_logged_in('admin'):
+            self.product.active = False
+        self.assertEqual([], self._getReviewables())
+
 
 class TestReviewableDistroTranslationFiles(TestCaseWithFactory,
                                            ReviewTestMixin,

